edu.sc.seis.sod

## Class ChannelGrouper

- java.lang.Object
- - edu.sc.seis.sod.ChannelGrouper

-     public class ChannelGrouper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelGrouper()`
    `ChannelGrouper(java.lang.String configFileLoc)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<edu.sc.seis.fissuresUtil.hibernate.ChannelGroup>` | `group(java.util.List<edu.iris.Fissures.network.ChannelImpl> channels, java.util.List<edu.iris.Fissures.network.ChannelImpl> failures)` group channels into three components of motion.
    `static boolean` | `sanityCheck(edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelGrouper

          public ChannelGrouper()
                         throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### ChannelGrouper

          public ChannelGrouper(java.lang.String configFileLoc)
                         throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### group

          public java.util.List<edu.sc.seis.fissuresUtil.hibernate.ChannelGroup> group(java.util.List<edu.iris.Fissures.network.ChannelImpl> channels,
                                                                                       java.util.List<edu.iris.Fissures.network.ChannelImpl> failures)

      group channels into three components of motion. It is assumed that all the channels in the list are from the same network.station.
      Parameters:
        `channels` -
        `failures` -
      Returns:

    - #### sanityCheck

          public static boolean sanityCheck(edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup)